Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision 9220e89c31ca5156d9c3a40634b4257084d139a2)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision 8ac05a59a0078f40fc8af4febae16624b9d5c818)
@@ -46,5 +46,4 @@
 from sas.sasgui.guiframe.CategoryManager import CategoryManager
 from sas.sascalc.dataloader.loader import Loader
-from sas.sascalc.file_converter.nxcansas_writer import NXcanSASWriter
 from sas.sasgui.guiframe.proxy import Connection
 
@@ -2420,7 +2419,6 @@
         default_name = fname
         wildcard = "Text files (*.txt)|*.txt|"\
-                    "CanSAS 1D files (*.xml)|*.xml|"\
-                     "NXcanSAS files (*.h5)|*.h5|"
-        options = [".txt", ".xml",".h5"]
+                    "CanSAS 1D files(*.xml)|*.xml"
+        path = None
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
@@ -2432,23 +2430,25 @@
             # This is MAC Fix
             ext_num = dlg.GetFilterIndex()
-
-            ext_format = options[ext_num]
+            if ext_num == 0:
+                ext_format = '.txt'
+            else:
+                ext_format = '.xml'
             path = os.path.splitext(path)[0] + ext_format
             mypath = os.path.basename(path)
-            fName = os.path.splitext(path)[0] + ext_format
-
-            if os.path.splitext(mypath)[1].lower() == options[0]:
+
+            # Instantiate a loader
+            loader = Loader()
+            ext_format = ".txt"
+            if os.path.splitext(mypath)[1].lower() == ext_format:
                 # Make sure the ext included in the file name
                 # especially on MAC
+                fName = os.path.splitext(path)[0] + ext_format
                 self._onsaveTXT(data, fName)
-            elif os.path.splitext(mypath)[1].lower() == options[1]:
+            ext_format = ".xml"
+            if os.path.splitext(mypath)[1].lower() == ext_format:
                 # Make sure the ext included in the file name
                 # especially on MAC
-                # Instantiate a loader
-                loader = Loader()
+                fName = os.path.splitext(path)[0] + ext_format
                 loader.save(fName, data, ext_format)
-            elif os.path.splitext(mypath)[1].lower() == options[2]:
-                nxcansaswriter = NXcanSASWriter()
-                nxcansaswriter.write([data], fName)
             try:
                 self._default_save_location = os.path.dirname(path)
@@ -2477,9 +2477,9 @@
             if has_errors:
                 if data.dx is not None and data.dx != []:
-                    out.write("<X>\t<Y>\t<dY>\t<dX>\n")
+                    out.write("<X>   <Y>   <dY>   <dX>\n")
                 else:
-                    out.write("<X>\t<Y>\t<dY>\n")
+                    out.write("<X>   <Y>   <dY>\n")
             else:
-                out.write("<X>\t<Y>\n")
+                out.write("<X>   <Y>\n")
 
             for i in range(len(data.x)):
@@ -2525,7 +2525,5 @@
             text += 'dY_min = %s:  dY_max = %s\n' % (min(data.dy), max(data.dy))
         text += '\nData Points:\n'
-        text += "<index> \t<X> \t<Y> \t<dY> "
-        text += "\t<dXl> \t<dXw>\n" if(data.dxl is not None and
-                                       data.dxw is not None) else "\t<dX>\n"
+        x_st = "X"
         for index in range(len(data.x)):
             if data.dy is not None and len(data.dy) > index:
@@ -2538,8 +2536,14 @@
                 dx_val = 0.0
             if data.dxl is not None and len(data.dxl) > index:
+                if index == 0:
+                    x_st = "Xl"
                 dx_val = data.dxl[index]
-                if data.dxw is not None and len(data.dxw) > index:
-                    dx_val = "%s \t%s" % (data.dxl[index], data.dxw[index])
-
+            elif data.dxw is not None and len(data.dxw) > index:
+                if index == 0:
+                    x_st = "Xw"
+                dx_val = data.dxw[index]
+
+            if index == 0:
+                text += "<index> \t<X> \t<Y> \t<dY> \t<d%s>\n" % x_st
             text += "%s \t%s \t%s \t%s \t%s\n" % (index,
                                                   data.x[index],
@@ -2558,6 +2562,5 @@
         """
         default_name = fname
-        wildcard = "IGOR/DAT 2D file in Q_map (*.dat)|*.DAT|"\
-                   "NXcanSAS files (*.h5)|*.h5|"
+        wildcard = "IGOR/DAT 2D file in Q_map (*.dat)|*.DAT"
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
@@ -2571,6 +2574,4 @@
             if ext_num == 0:
                 ext_format = '.dat'
-            elif ext_num == 1:
-                ext_format = '.h5'
             else:
                 ext_format = ''
@@ -2580,16 +2581,11 @@
             # Instantiate a loader
             loader = Loader()
-            ext = os.path.splitext(mypath)[1].lower()
-            if ext == '.dat':
+
+            ext_format = ".dat"
+            if os.path.splitext(mypath)[1].lower() == ext_format:
                 # Make sure the ext included in the file name
                 # especially on MAC
                 fileName = os.path.splitext(path)[0] + ext_format
                 loader.save(fileName, data, ext_format)
-            elif ext == '.h5':
-                # Make sure the ext included in the file name
-                # especially on MAC
-                fileName = os.path.splitext(path)[0] + ext_format
-                nxcansaswriter = NXcanSASWriter()
-                nxcansaswriter.write([data], fileName)
             try:
                 self._default_save_location = os.path.dirname(path)
